LP#1383828 Jessie/Trusty installer Apache "mpm" repairs
[OpenSRF.git] / configure.ac
index d23354d..dd5d3a7 100644 (file)
@@ -31,7 +31,6 @@ AM_INIT_AUTOMAKE([OpenSRF], m4_defn([VERSION_NUMBER]))
 
 AC_REVISION($Revision: 0.1 $)
 AC_CONFIG_SRCDIR([configure.ac])
-AC_PREFIX_DEFAULT([/opensrf])
 
 # Enable $prefix to resolve to a reasonable value in substitutions in
 # scripts if no explict value was passed in to configure
@@ -213,9 +212,18 @@ AC_SUBST([APR_HEADERS])
 # Collect apache version number. If for nothing else, this
 # guarantees that httpd is a working apache executable.
 #
-changequote(<<, >>)dnl
 APACHE=`$APXS2 -q progname`
-APACHE_READABLE_VERSION=`$APACHE -v | grep 'Server version' | sed -e 's;.*Apache/\([0-9\.][0-9\.]*\).*;\1;'`
+AC_PATH_PROG(APACHE_PATH, [$APACHE], [])
+if test -z "$APACHE_PATH" ; then
+       for i in /usr/bin /usr/sbin /usr/local/apache/bin /usr/local/apache2/bin ; do
+        if test -x "$i/$APACHE"; then
+            APACHE_PATH="$i/$APACHE"
+            break
+        fi
+       done
+fi
+changequote(<<, >>)dnl
+APACHE_READABLE_VERSION=`$APACHE_PATH -v | grep 'Server version' | sed -e 's;.*Apache/\([0-9\.][0-9\.]*\).*;\1;'`
 changequote([, ])dnl
 APACHE_VERSION=`echo $APACHE_READABLE_VERSION | sed -e 's/\.//g'`
 if test -z "$APACHE_VERSION" ; then
@@ -367,8 +375,7 @@ if test "x$OSRF_INSTALL_CORE" = "xtrue"; then
                         src/srfsh/Makefile
              tests/Makefile
                         bin/opensrf-perl.pl
-                        bin/osrf_config
-                        bin/osrf_ctl.sh])
+                        bin/osrf_config])
 fi
 
 AC_OUTPUT